View Issue Details

IDProjectCategoryView StatusLast Update
0000847Main CAcert Websitepublic2011-10-26 21:22
ReporterINOPIAE Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status needs feedbackResolutionopen 
Summary0000847: Key stength is not available for creating client certificate
DescriptionWhen creating a new client certificate with 0 points and the following options
Add true
Certificate login true
No Single Sign-On ID true
Client CSR empty
After Next
I do not get the choice to select the key strength drowdown is empty
In the German version the button shows "Create Certificate" instead the german phrase
Additional InformationOS Windows 7 pro
IE 8.0
TagsNo tags attached.
Reviewed by
Test Instructions

Relationships

related to 0000965 needs workNEOatNHNG Outsource / fix Webdb text pages id=12, 13, (17) 
related to 0000671 solved?Uli60 cms pages in online website need review for deprecation 
related to 0000824 closedUli60 Organisation User Certificates: Need UI improvement for proper production usage 
has duplicate 0000848 closed Key stength is not available for creating client certificate 
has duplicate 0000849 closed Key stength is not available for creating client certificate 
related to 0000927 new VBScript error when trying to install certificate in IE8 
related to 0000964 closed VBscript, Weak Keys script 4.php, 17.php to combine / select box key size and lower limit to 2048 
related to 0000901 new Renewal of certificate with WIN 7 and IE8 

Activities

NEOatNHNG

2010-09-07 22:05

administrator   ~0001710

Is this problem specific to the test system at cacert1.it-sls.de or does it also happen on the live system at cacert.org?

INOPIAE

2010-09-08 06:12

updater   ~0001712

After adding the site https://secure.cacert.org and https://cacert1.it-sls.de to the Trusted sites the dropdown for the key strength is filled on both systems.
The language problem exists on both systems.
The button is still English.
This text: "Sie müssen ActiveX aktiviert haben. In Windows-Vista muss diese Website zu der Liste der vertrauenswürdigen Seiten hinzugefügt werden.Go to Extras->Internet Options->Security->Trusted Websites, click on Custom Level, check ActiveX control elements that are not marked as safe initialized on start in scripts." should be rewritten:
Suggestion for the German version:
"Unter Windows Vista und Windows 7 muss diese Website zur Liste der vertrauenswürdigen Sites hizugefügt sein. Gehe zu Extras-> Internet Optionen ->Sicherheit ->Vertrauenswürdige Sites-> Site
Sie müssen ActiveX aktiviert haben. Gehe zu Extras-> Internet Optionen ->Sicherheit ->Vertrauenswürde Sites -> Stufe anpassen -> Kontrollieren das 'ActiveX Steuerelemente initialisieren und ausführen, die nicht als "sicher für Scripting" markiert sind' deaktivieren"

Issue History

Date Modified Username Field Change
2010-08-24 12:38 INOPIAE New Issue
2010-09-01 00:20 Uli60 Relationship added has duplicate 0000848
2010-09-01 00:20 Uli60 Relationship added has duplicate 0000849
2010-09-07 22:05 NEOatNHNG Note Added: 0001710
2010-09-07 22:05 NEOatNHNG Status new => needs feedback
2010-09-08 06:12 INOPIAE Note Added: 0001712
2011-06-14 11:22 NEOatNHNG Category => cacert1.it-sls.de
2011-08-23 12:25 Uli60 Relationship added related to 0000927
2011-08-23 12:28 Uli60 Relationship added related to 0000964
2011-08-23 12:32 Uli60 Relationship added related to 0000901
2011-08-23 12:34 Uli60 Relationship added related to 0000965
2011-08-23 12:34 Uli60 Relationship added related to 0000671
2011-09-15 15:31 Uli60 Relationship added related to 0000824
2011-09-17 19:57 Uli60 Project test.cacert.org => Main CAcert Website
2011-09-17 19:57 Uli60 Category cacert1.it-sls.de => General
2011-10-26 21:21 INOPIAE Category General =>
2011-10-26 21:21 INOPIAE Description Updated View Revisions
2011-10-26 21:21 INOPIAE Description Updated View Revisions
2011-10-26 21:22 INOPIAE Description Updated View Revisions